Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.properties
Class EmailProperties

    java.lang.Object
      com.bea.apps.groupspace.properties.EmailProperties

All Implemented Interfaces
  Serializable

    public class EmailProperties

extends Object
implements Serializable

This class is a wrapper for email related properties stored against the community definition.

See Also
  Serialized Form

Field Summary
`static String` | `DEFAULT_SMTP_PORT`
`static String` | `GS_PROP_DISPLAY_NAME`
`static String` | `GS_PROP_INVITATION_BODY_URI`
`static String` | `GS_PROP_INVITATION_SUBJECT_URI`
`static String` | `GS_PROP_REPLY_TO_ADDRESS`
`static String` | `GS_PROP_SMTP_PASSWORD`
`static String` | `GS_PROP_SMTP_PORT`
`static String` | `GS_PROP_SMTP_SERVER`
`static String` | `GS_PROP_SMTP_USERNAME`
`static int` | `MAX_SMTP_PORT_VALUE`
`static int` | `MIN_SMTP_PORT_VALUE`

Constructor Summary
`EmailProperties()`

Method Summary
`String` | `getDisplayName()` Returns the display name of the groupspace instance
`String` | `getEmailBodyURI()`
`String` | `getEmailSubjectURI()`
`String` | `getReplyToAddress()` Returns the replyToAddress of the community.
`String` | `getSecuredPassword()`
`String` | `getSmtpPassword()` Returns the password for the smtp account
`String` | `getSmtpPort()` Returns the smtpPort of the community.
`String` | `getSmtpServer()` Returns the smtpServer of the community.
`String` | `getSmtpUsername()` Returns the the username for the smtp account
`boolean` | `hasRequiredEmailConfiguration()`
`void` | `setDisplayName(String displayName)` Sets the display name of the groupspace instance
`void` | `setEmailBodyURI(String emailBodyURI)`
`void` | `setEmailSubjectURI(String emailSubjectURI)`
`void` | `setReplyToAddress(String replyToAddress)` Sets the replyToAddress of the community.
`void` | `setSmtpPassword(String smtpPassword)` Sets the password for the smtp account
`void` | `setSmtpPort(String smtpPort)` Sets the smtpPort of the community.
`void` | `setSmtpServer(String smtpServer)` Sets the smtpServer of the community.
`void` | `setSmtpUsername(String smtpUsername)` Returns the the username for the smtp account
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GS_PROP_REPLY_TO_ADDRESS

    public static final String GS_PROP_REPLY_TO_ADDRESS

See Also
  Constants Summary

### GS_PROP_DISPLAY_NAME

    public static final String GS_PROP_DISPLAY_NAME

See Also
  Constants Summary

### GS_PROP_SMTP_SERVER

    public static final String GS_PROP_SMTP_SERVER

See Also
  Constants Summary

### GS_PROP_SMTP_PORT

    public static final String GS_PROP_SMTP_PORT

See Also
  Constants Summary

### GS_PROP_SMTP_USERNAME

    public static final String GS_PROP_SMTP_USERNAME

See Also
  Constants Summary

### GS_PROP_SMTP_PASSWORD

    public static final String GS_PROP_SMTP_PASSWORD

See Also
  Constants Summary

### GS_PROP_INVITATION_BODY_URI

    public static final String GS_PROP_INVITATION_BODY_URI

See Also
  Constants Summary

### GS_PROP_INVITATION_SUBJECT_URI

    public static final String GS_PROP_INVITATION_SUBJECT_URI

See Also
  Constants Summary

### MIN_SMTP_PORT_VALUE

    public static final int MIN_SMTP_PORT_VALUE

See Also
  Constants Summary

### MAX_SMTP_PORT_VALUE

    public static final int MAX_SMTP_PORT_VALUE

See Also
  Constants Summary

### DEFAULT_SMTP_PORT

    public static final String DEFAULT_SMTP_PORT

See Also
  Constants Summary

Constructor Detail

### EmailProperties

    public EmailProperties()

Method Detail

### getSmtpPassword

    public String getSmtpPassword()

  Returns the password for the smtp account

  Returns
    the display name

### getEmailSubjectURI

    public String getEmailSubjectURI()

### setEmailSubjectURI

    public void setEmailSubjectURI(String emailSubjectURI)

### getSecuredPassword

    public String getSecuredPassword()

### setSmtpPassword

    public void setSmtpPassword(String smtpPassword)

  Sets the password for the smtp account

### getSmtpUsername

    public String getSmtpUsername()

  Returns the the username for the smtp account

  Returns
    the display name

### setSmtpUsername

    public void setSmtpUsername(String smtpUsername)

  Returns the the username for the smtp account

### getDisplayName

    public String getDisplayName()

  Returns the display name of the groupspace instance

  Returns
    the display name

### setDisplayName

    public void setDisplayName(String displayName)

  Sets the display name of the groupspace instance

  Parameters
    `displayName` -

### getReplyToAddress

    public String getReplyToAddress()

  Returns the replyToAddress of the community.

  Returns

### setReplyToAddress

    public void setReplyToAddress(String replyToAddress)

  Sets the replyToAddress of the community.

### getSmtpPort

    public String getSmtpPort()

  Returns the smtpPort of the community.

  Returns

### setSmtpPort

    public void setSmtpPort(String smtpPort)

  Sets the smtpPort of the community.

### getSmtpServer

    public String getSmtpServer()

  Returns the smtpServer of the community.

  Returns

### setSmtpServer

    public void setSmtpServer(String smtpServer)

  Sets the smtpServer of the community.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEmailBodyURI

    public String getEmailBodyURI()

### setEmailBodyURI

    public void setEmailBodyURI(String emailBodyURI)

### hasRequiredEmailConfiguration

    public boolean hasRequiredEmailConfiguration()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved